Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Message Library for HL7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.hl7.repository.impl
Class HL7ObjectTypeDefinitionImpl

    java.lang.Object
      com.stc.hl7.repository.impl.HL7ObjectImpl
          com.stc.hl7.repository.impl.HL7ProjectElementImpl
              com.stc.hl7.repository.impl.ObjectTypeDefinitionImpl
                  com.stc.hl7.repository.impl.HL7ObjectTypeDefinitionImpl

All Implemented Interfaces:
  HL7ObjectTypeDefinition, com.stc.model.common.cme.PortType, com.stc.model.common.ObjectTypeDefinition, com.stc.model.common.ProjectElement, com.stc.repository.persistence.client.Marshalable, com.stc.repository.persistence.client.Persistable, com.stc.repository.persistence.client.PropertyChangePublisher, com.stc.repository.RepositoryObject, java.beans.PropertyChangeListener, java.util.EventListener

    public class HL7ObjectTypeDefinitionImpl

extends ObjectTypeDefinitionImpl
implements HL7ObjectTypeDefinition

An implementation class for the HL7ObjectTypeDefinition interface

Version:
  $Revision: 1.4 $
Author:
  nang@seebeyond.com, jknight@seebeyond.com

Field Summary
`static java.lang.String` | `WEB_SERVICES_DEFINITIONS`

Fields inherited from class com.stc.hl7.repository.impl.ObjectTypeDefinitionImpl
`ACCESS, DELEGATE, DOCUMENTATION, JAVANAME, OBJECT_TYPE_DEFINITION_TYPE, ORIGIN, OTD_LOCALIZED_INFOS, OTD_META_CONTAINER, OTD_WIZARD, SERIAL, STRUCTURE, TOP_NODE_ID`

Fields inherited from class com.stc.hl7.repository.impl.HL7ObjectImpl
`persistable`

Fields inherited from interface com.stc.hl7.repository.HL7ObjectTypeDefinition
`PROJECT_ELEMENT_TYPE`

Fields inherited from interface com.stc.model.common.ObjectTypeDefinition
`RCS_ID`

Fields inherited from interface com.stc.model.common.cme.PortType
`RCS_ID`

Constructor Summary
`HL7ObjectTypeDefinitionImpl()` Constructor for HL7ObjectTypeDefinitionImpl.
`HL7ObjectTypeDefinitionImpl(java.lang.String name)` Constructs an instance.

Method Summary
`com.stc.repository.RepositoryObject` | `getBusinessProcessDefinitions()` Gets the business process repository object.
`java.lang.String` | `getIconURL()` Gets the icon.
`java.lang.String` | `getProjectElementType()`
`void` | `setBusinessProcessDefinitions(com.stc.repository.RepositoryObject repObj)` Sets the business process repository object.

Methods inherited from class com.stc.hl7.repository.impl.ObjectTypeDefinitionImpl
`addExternalObjectTypeDefinition, addOTDLocalizedInfo, checkExternal, collectExternals, createOTDLocalizedInfo, deleteOTDLocalizedInfo, getAccess, getAllExternalObjectTypeDefinitions, getDelegate, getDocumentation, getExternalObjectTypeDefinition, getExternalObjectTypeDefinitions, getJavaName, getOrigin, getOTDLocalizedInfo, getOTDLocalizedInfos, getOtdMetaContainer, getSerial, getStructure, getTopNodeId, isExternal, isMessageable, isVersionable, removeExternalObjectTypeDefinition, removeOTDLocalizedInfo, setAccess, setDocumentation, setJavaName, setOrigin, setOtdMetaContainer, setSerial, setStructure, setTopNodeId`

Methods inherited from class com.stc.hl7.repository.impl.HL7ProjectElementImpl
`getParentProject, setParentProject`

Methods inherited from class com.stc.hl7.repository.impl.HL7ObjectImpl
`addPartOfValue, addPropertyChangeListener, addPropertyChangeListener, addPropertyChangeListeners, addReferenceValue, deleteReferenceCollection, deleteReferenceValue, deleteReferenceValue, equals, getACLInfo, getBlobProperty, getClassNameAlias, getClassNameAlias, getCreatedBy, getCreationDate, getCUDTracker, getDescription, getLastUpdatedBy, getLastUpdatedDate, getMarshalableSupport, getName, getOID, getOwnerOID, getPartOfCollection, getPartOfProperty, getPartOfValue, getPersistableSupport, getPropertyMap, getReferenceCollection, getReferenceID, getReferenceProperty, getReferenceValue, getRelationshipMap, getVersionInfo, hashCode, initializeOID, isHeaderResolved, isLocked, onDelete, onUnmarshalFinished, onUnmarshalStarting, propertyChange, removePartOfValue, removePartOfValue, removePropertyChangeListener, removePropertyChangeListener, removePropertyChangeListeners, removeReferenceValue, removeReferenceValue, resolve, setACLInfo, setBlobProperty, setCreatedBy, setCreationDate, setCUDTracker, setDescription, setHeaderResolved, setLastUpdatedBy, setLastUpdatedDate, setName, setOID, setOwnerOID, setPartOfProperty, setPropertyMap, setReferenceID, setReferenceProperty, setResolver, setUnresolved, setVersionInfo, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.stc.model.common.ObjectTypeDefinition
`addExternalObjectTypeDefinition, createOTDLocalizedInfo, deleteOTDLocalizedInfo, getAccess, getAllExternalObjectTypeDefinitions, getDocumentation, getExternalObjectTypeDefinition, getExternalObjectTypeDefinitions, getOrigin, getOTDLocalizedInfo, getOTDLocalizedInfos, getOtdMetaContainer, getSerial, getStructure, getTopNodeId, isExternal, isMessageable, removeExternalObjectTypeDefinition, setAccess, setDocumentation, setOrigin, setOtdMetaContainer, setSerial, setStructure, setTopNodeId`

Methods inherited from interface com.stc.model.common.ProjectElement
`getDescription, getName, getParentProject, setDescription, setName, setParentProject`

Methods inherited from interface com.stc.repository.RepositoryObject
`getCUDTracker, onDelete, setCUDTracker`

Methods inherited from interface com.stc.repository.persistence.client.Persistable
`getACLInfo, getCreatedBy, getCreationDate, getLastUpdatedBy, getLastUpdatedDate, getOID, getOwnerOID, getPersistableSupport, getVersionInfo, isHeaderResolved, isLocked, isVersionable, resolve, setACLInfo, setCreatedBy, setCreationDate, setHeaderResolved, setLastUpdatedBy, setLastUpdatedDate, setOID, setResolver, setUnresolved, setVersionInfo`

Methods inherited from interface com.stc.repository.persistence.client.Marshalable
`getClassNameAlias, getMarshalableSupport, getPropertyMap, getReferenceID, getRelationshipMap, onUnmarshalFinished, onUnmarshalStarting, setPropertyMap, setReferenceID`

Methods inherited from interface com.stc.repository.persistence.client.PropertyChangePublisher
`addPropertyChangeListener, addPropertyChangeListener, addPropertyChangeListeners, removePropertyChangeListener, removePropertyChangeListener, removePropertyChangeListeners`

Methods inherited from interface java.beans.PropertyChangeListener
`propertyChange`

Field Detail

### WEB_SERVICES_DEFINITIONS

    public static final java.lang.String WEB_SERVICES_DEFINITIONS

See Also:
  Constant Field Values

Constructor Detail

### HL7ObjectTypeDefinitionImpl

    public HL7ObjectTypeDefinitionImpl()
                                throws com.stc.repository.RepositoryException

  Constructor for HL7ObjectTypeDefinitionImpl.

  Throws:
    `com.stc.repository.RepositoryException` - if this operation fails

### HL7ObjectTypeDefinitionImpl

    public HL7ObjectTypeDefinitionImpl(java.lang.String name)
                                throws com.stc.repository.RepositoryException

  Constructs an instance.

  Parameters:
    `name` - the name
  Throws:
    `com.stc.repository.RepositoryException` - if this operation fails

Method Detail

### getIconURL

    public java.lang.String getIconURL()
                                throws com.stc.repository.RepositoryException

  Gets the icon.

  Specified by:
    `getIconURL` in interface `com.stc.model.common.cme.PortType`
  Returns:
    the icon
  Throws:
    `com.stc.repository.RepositoryException` - if access to repository failed

### getProjectElementType

    public java.lang.String getProjectElementType()
                                           throws com.stc.repository.RepositoryException

  Specified by:
    `getProjectElementType` in interface `com.stc.model.common.ProjectElement`
  Specified by:
    `getProjectElementType` in class `HL7ProjectElementImpl`
  Throws:
    `com.stc.repository.RepositoryException`
  See Also:
    `ProjectElement.getProjectElementType()`

### getBusinessProcessDefinitions

    public com.stc.repository.RepositoryObject getBusinessProcessDefinitions()
                                                                      throws com.stc.repository.RepositoryException

  Description copied from interface: `HL7ObjectTypeDefinition`
  Gets the business process repository object.

  Specified by:
    `getBusinessProcessDefinitions` in interface `HL7ObjectTypeDefinition`
  Returns:
    the business process definitions repository object
  Throws:
    `com.stc.repository.RepositoryException` - repository errors
  See Also:
    `HL7ObjectTypeDefinition`

### setBusinessProcessDefinitions

    public void setBusinessProcessDefinitions(com.stc.repository.RepositoryObject repObj)
                                       throws com.stc.repository.RepositoryException

  Description copied from interface: `HL7ObjectTypeDefinition`
  Sets the business process repository object.

  Specified by:
    `setBusinessProcessDefinitions` in interface `HL7ObjectTypeDefinition`
  Parameters:
    `repObj` - the business process definitions repository object
  Throws:
    `com.stc.repository.RepositoryException` - repository errors
  See Also:
    `HL7ObjectTypeDefinition`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Message Library for HL7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD